curl --request GET \
--url https://cloud.cdata.com/api/job/{jobId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://cloud.cdata.com/api/job/{jobId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://cloud.cdata.com/api/job/{jobId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"jobType": "Caching",
"id": "string",
"name": "string",
"enabled": true,
"created": "2024-01-01T00:00:00Z",
"lastModified": "2024-01-01T00:00:00Z",
"nextRunTime": "2024-01-01T00:00:00Z",
"intervalUnit": "Hour",
"intervalValue": 1,
"logVerbosity": 1,
"lastRun": {
"dateTime": "0001-01-01T00:00:00Z",
"duration": 63894847975,
"status": "JOB_QUEUED",
"rowsAffected": 0,
"nextRunTime": "0001-01-01T00:00:00Z"
},
"params": {
"timeCheckColumn": "",
"autoTruncateStrings": "false",
"sourceConnection": "f6f3cfe6-72e2-4edb-914f-4409c01c1418",
"sourceConnectionName": "MailChimp1",
"sourceName": "MailChimp",
"sourceSchema": "MailChimp",
"sourceTable": "Conversations"
}
}ジョブの取得
Retrieve the details for a specific job.
承認
JWT token authentication. Include the token in the Authorization header as Bearer {token}. See Authentication for more information on creating a token.
パスパラメータ
The Id of the job you want to retrieve details from.
レスポンス
OK
The type of job (Caching).
The job's Id.
The job's name.
A Boolean value indicating whether the job is enabled.
The date and time the job was created.
The date and time the job was last modified.
The date and time the job is scheduled to be run next.
A string representing the interval unit for the job (Hour/Day/Week/Month).
An integer that represents how many of the selected interval unit the job should wait before running again.
A number indicating the level of log verbosity (1-5).
The last run metrics for the job, including the date and time, duration, status, rows affected, and next run time.
Show child attributes
Show child attributes
An object containing job parameters. Caching jobs use the fields below; other job types may include additional properties.
Show child attributes
Show child attributes
このページは役に立ちましたか?